This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 240567 - if dump-core fails on domain crash domain persists and retries every xm or xenwatch
if dump-core fails on domain crash domain persists and retries every xm or xe...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 10:27 EDT by Martin Poole
Modified: 2010-10-22 11:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 11:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2007-05-18 10:27:09 EDT
Description of problem:

When a domain crash then if xend cannot dump-core memory of the domain,
the domain is not destroyed, so xend try to dump-core it
every time run "xm list" or xenwatch.
These retry fail if the disk is full, so this issue is occurred.

Version-Release number of selected component (if applicable):

xen-3.0.3-25.el5

How reproducible:

Always.

Steps to Reproduce:
1. Configure "dump-enable yes"
2. arrange for /var/lib/xen/dump to have insufficient space.
3. destroy or crash a domain
  
Actual results:

incomplete core is created on crash and every subsequent xm command.

Expected results:

Core or no core.

Additional info:

This is fixed in an upstream patch (something similar to which is in the F7 xen)

http://xenbits.xensource.com/xen-unstable.hg?rev/e81c9fc5b431
Comment 1 Daniel Berrange 2007-05-18 10:44:51 EDT
Patch looks sane, although it does not apply to current RHEL5 Xen tree. After a
cursory glance, it should be fairly simple to re-diff it though.
Comment 2 Issue Tracker 2007-08-03 11:00:53 EDT
Fujitsu confirmed this issue was gone by 5.1 beta.

--------------------------
I confirmed this issue is fixed in RHEL5.1 beta.

Best Regards,

Akio Takebe

Category set to: Xen::Base OS
Status set to: Next Update
Resolution set to: 'RHEL 5.1'
Summary edited.

This event sent from IssueTracker by mmatsuya 
 issue 121282
Comment 3 Brian Stein 2007-08-03 11:03:42 EDT
Closing per Comment #2 above.

Note You need to log in before you can comment on or make changes to this bug.